"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const common_log_formatter_1 = require("./common.log.formatter");
var common_log_formatter_2 = require("./common.log.formatter");
exports.CommonLogFormatter = common_log_formatter_2.CommonLogFormatter;
exports.DefinedFormatters = {
    CommonLog: "commonlog",
};
exports.Formatters = (() => {
    const FormattersMap = new Map();
    FormattersMap.set(exports.DefinedFormatters.CommonLog, common_log_formatter_1.CommonLogFormatter);
    return {
        get: (name) => FormattersMap.get(name.toLowerCase()),
        set: (name, formatter) => FormattersMap.set(name.toLowerCase(), formatter),
        clear: () => FormattersMap.clear()
    };
})();
