"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Winston = require("winston");
const DailyRotateFile = require("winston-daily-rotate-file");
exports.DefinedTransporters = {
    Console: "console",
    File: "file",
    Http: "http",
    DailyRotateFile: "daily-rotate-file",
};
exports.Transporters = (() => {
    const TransportersMap = new Map();
    TransportersMap.set(exports.DefinedTransporters.Console, Winston.transports.Console);
    TransportersMap.set(exports.DefinedTransporters.File, Winston.transports.File);
    TransportersMap.set(exports.DefinedTransporters.Http, Winston.transports.Http);
    TransportersMap.set(exports.DefinedTransporters.DailyRotateFile, (DailyRotateFile));
    return {
        get: (name) => TransportersMap.get(name.toLowerCase()),
        set: (name, transport) => TransportersMap.set(name.toLowerCase(), transport),
        clear: () => TransportersMap.clear()
    };
})();
